#ifndef LIP_OPCUA_SERVER_PARAMS_H
#define LIP_OPCUA_SERVER_PARAMS_H



#define LIP_OPCUA_SERVER_PARAM_MAX_ARRAY_LEN                1000
#define LIP_OPCUA_SERVER_PARAM_MAX_STRING_LEN               1000
#define LIP_OPCUA_SERVER_PARAM_MAX_BYTESTR_LEN              1000
#define LIP_OPCUA_SERVER_PARAM_MAX_NODES_PER_RD             64
#define LIP_OPCUA_SERVER_PARAM_MAX_NODES_PER_WR             64
#define LIP_OPCUA_SERVER_PARAM_MAX_NODES_PER_CALL           64
#define LIP_OPCUA_SERVER_PARAM_MAX_NODES_PER_BROWSE         64
#define LIP_OPCUA_SERVER_PARAM_MAX_NODES_PER_REG_NODES      64
#define LIP_OPCUA_SERVER_PARAM_MAX_NODES_PER_TRANS_PATHS    64
#define LIP_OPCUA_SERVER_PARAM_MAX_NODES_PER_NODE_MNGMNT    64
#define LIP_OPCUA_SERVER_PARAM_MAX_MONITEMS_PER_CALL        32


#define LIP_OPCUA_SERVER_PARAM_MAX_BROWSE_CONT_PT           8
#define LIP_OPCUA_SERVER_PARAM_MAX_QUERY_CONT_PT            8
#define LIP_OPCUA_SERVER_PARAM_MAX_HISTORY_CONT_PT          8
#define LIP_OPCUA_SERVER_PARAM_MAX_HISTORY_RD_DATA_CNT      8
#define LIP_OPCUA_SERVER_PARAM_MAX_HISTORY_RD_EVT_CNT       8
#define LIP_OPCUA_SERVER_PARAM_MAX_HISTORY_UP_DATA_CNT      8
#define LIP_OPCUA_SERVER_PARAM_MAX_HISTORY_UPEVT_CNT        8

#define LIP_OPCUA_SERVER_PARAM_MIN_SAMPLE_RATE_MS           10
#define LIP_OPCUA_SERVER_PARAM_DEFAULT_SAMPLE_RATE_MS       1000



#define LIP_OPCUA_SERVER_DEFAULT_SERVICE_LEVEL              255

#endif // LIP_OPCUA_SERVER_PARAMS_H
